declare const _default: {
    '+': (data: any) => number;
    '*': (data: any) => number;
    '/': (data: any) => any;
    '-': (data: any) => any;
    '%': (data: any) => any;
    max: (data: any) => number;
    min: (data: any) => number;
    in: ([item, array]: [any, any]) => any;
    '>': ([a, b]: [any, any]) => boolean;
    '<': ([a, b, c]: [any, any, any]) => boolean;
    preserve: {
        traverse: boolean;
        method: any;
        [Sync]: () => boolean;
    };
    if: {
        method: (input: any, context: any, above: any, engine: any) => any;
        [Sync]: (data: any, buildState: any) => any;
        deterministic: (data: any, buildState: any) => any;
        asyncMethod: (input: any, context: any, above: any, engine: any) => Promise<any>;
        traverse: boolean;
    };
    '<=': ([a, b, c]: [any, any, any]) => boolean;
    '>=': ([a, b]: [any, any]) => boolean;
    '==': ([a, b]: [any, any]) => boolean;
    '===': ([a, b]: [any, any]) => boolean;
    '!=': ([a, b]: [any, any]) => boolean;
    '!==': ([a, b]: [any, any]) => boolean;
    xor: ([a, b]: [any, any]) => number;
    or: (arr: any, _1: any, _2: any, engine: any) => any;
    and: (arr: any, _1: any, _2: any, engine: any) => any;
    substr: ([string, from, end]: [any, any, any]) => any;
    length: ([i]: [any]) => number;
    get: {
        method: ([data, key, defaultValue]: [any, any, any], context: any, above: any, engine: any) => any;
    };
    var: (key: any, context: any, above: any, engine: any) => any;
    missing: (checked: any, context: any, above: any, engine: any) => any[];
    missing_some: ([needCount, options]: [any, any], context: any, above: any, engine: any) => any[];
    map: {
        deterministic: (data: any, buildState: any) => any;
        [Sync]: (data: any, buildState: any) => any;
        method: (input: any, context: any, above: any, engine: any) => any;
        asyncMethod: (input: any, context: any, above: any, engine: any) => Promise<any>;
        compile: (data: any, buildState: any) => any;
        traverse: boolean;
    };
    some: {
        deterministic: (data: any, buildState: any) => any;
        [Sync]: (data: any, buildState: any) => any;
        method: (input: any, context: any, above: any, engine: any) => any;
        asyncMethod: (input: any, context: any, above: any, engine: any) => Promise<any>;
        compile: (data: any, buildState: any) => any;
        traverse: boolean;
    };
    all: {
        deterministic: (data: any, buildState: any) => any;
        [Sync]: (data: any, buildState: any) => any;
        method: (input: any, context: any, above: any, engine: any) => any;
        asyncMethod: (input: any, context: any, above: any, engine: any) => Promise<any>;
        compile: (data: any, buildState: any) => any;
        traverse: boolean;
    };
    none: {
        traverse: boolean;
        method: (val: any, context: any, above: any, engine: any) => boolean;
        asyncMethod: (val: any, context: any, above: any, engine: any) => Promise<boolean>;
        compile: (data: any, buildState: any) => any;
    };
    merge: (arrays: any) => any[];
    every: {
        deterministic: (data: any, buildState: any) => any;
        [Sync]: (data: any, buildState: any) => any;
        method: (input: any, context: any, above: any, engine: any) => any;
        asyncMethod: (input: any, context: any, above: any, engine: any) => Promise<any>;
        compile: (data: any, buildState: any) => any;
        traverse: boolean;
    };
    filter: {
        deterministic: (data: any, buildState: any) => any;
        [Sync]: (data: any, buildState: any) => any;
        method: (input: any, context: any, above: any, engine: any) => any;
        asyncMethod: (input: any, context: any, above: any, engine: any) => Promise<any>;
        compile: (data: any, buildState: any) => any;
        traverse: boolean;
    };
    reduce: {
        deterministic: (data: any, buildState: any) => any;
        compile: (data: any, buildState: any) => string;
        method: (input: any, context: any, above: any, engine: any) => any;
        [Sync]: (data: any, buildState: any) => any;
        asyncMethod: (input: any, context: any, above: any, engine: any) => Promise<any>;
        traverse: boolean;
    };
    '!': (value: any, _1: any, _2: any, engine: any) => boolean;
    '!!': (value: any, _1: any, _2: any, engine: any) => boolean;
    cat: (arr: any) => string;
    keys: ([obj]: [any]) => string[];
    pipe: {
        traverse: boolean;
        [Sync]: (data: any, buildState: any) => any;
        method: (args: any, context: any, above: any, engine: any) => any;
        asyncMethod: (args: any, context: any, above: any, engine: any) => Promise<any>;
        compile: (args: any, buildState: any) => any;
        deterministic: (data: any, buildState: any) => any;
    };
    eachKey: {
        traverse: boolean;
        [Sync]: (data: any, buildState: any) => any;
        method: (object: any, context: any, above: any, engine: any) => {};
        deterministic: (data: any, buildState: any) => boolean;
        compile: (data: any, buildState: any) => string;
        asyncMethod: (object: any, context: any, above: any, engine: any) => Promise<any>;
    };
};
export default _default;
import { Sync } from "./constants.js";
